org.apache.felix.ipojo

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.felix.ipojo.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigurationException
    extends java.lang.Exception

This class defines the exception thrown when an instance cannot be configured correctly. This exception occurs when component metadata are not correct.

Author:
  Felix Project Team
See Also:
  `Exception`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationException(java.lang.String message)` Creates a new configuration exception.
`ConfigurationException(java.lang.String mes, java.lang.String type)` Creates a new configuration exception.
`ConfigurationException(java.lang.String message, java.lang.Throwable cause)`
`ConfigurationException(java.lang.String message, java.lang.Throwable cause, java.lang.String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()` Gets the error message.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationException

    public ConfigurationException(java.lang.String message)

Creates a new configuration exception.

Parameters:
  `message` - the error message
See Also:
  `Exception.Exception(String)`

#### ConfigurationException

    public ConfigurationException(java.lang.String mes,
                                  java.lang.String type)

Creates a new configuration exception.

Parameters:
  `mes` - the error message
  `type` - the component type
See Also:
  `Exception.Exception(String)`

#### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.Throwable cause)

#### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.Throwable cause,
                                  java.lang.String type)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Gets the error message.

Overrides:
  `getMessage` in class `java.lang.Throwable`
Returns:
  the error message.
See Also:
  `Throwable.getMessage()`